#define REC1 8
#define REC2 7
#define REC3 6

#include <Servo.h>
#include <MPU6050_tockn.h>
#include <Wire.h>
MPU6050 mpu6050(Wire);
int xangel,yangel;
Servo ESC; 
int aliron,alironR, alironL,elevator,motor;

Servo servoelevator; 
Servo servoalironR;  
Servo servoalironL;

void setup() {
  // put your setup code here, to run once:
  ESC.attach(3,1000,2000);
  pinMode(REC1,INPUT);
   pinMode(REC2,INPUT);
    pinMode(REC3,INPUT);
  Serial.begin(9600);
   servoelevator.attach(A2);
   servoalironR.attach(A1);  
 servoalironL.attach(A0);

 aliron=0;
elevator=0;
motor=0;
alironR=0;
alironL=0;

servoelevator.write(90);
servoalironR.write(90);
servoalironL.write(90);

Wire.begin();
  mpu6050.begin();
mpu6050.setGyroOffsets(-6.31, 0.8, 0.39);
}

void loop() {
  


 aliron=pulseIn(REC1,HIGH);
   elevator=pulseIn(REC2,HIGH);
    motor=pulseIn(REC3,HIGH);

mpu6050.update();

if(aliron>1550 or aliron < 1450){
  
alironL=map(aliron,1500,2000,45,135);
alironR=map(aliron,2000,1500,45,135);  


servoalironR.write(alironR);
servoalironL.write(alironL);

Serial.println("manualx");

 
}else {

 xangel= mpu6050.getAngleX();

 alironL=map(xangel,-15,15,45,135);
alironR=map(xangel,15,-15,45,135);  


servoalironR.write(alironR);
servoalironL.write(alironL);
Serial.println("autox"); 
  
  }


if(elevator>1550 or elevator < 1450){
  elevator=map(elevator,1902,1087,45,135);
  servoelevator.write(elevator);
  }else{
    
   yangel= mpu6050.getAngleY();
   elevator=map(yangel,-15,15,45,135);
  servoelevator.write(elevator);
  Serial.println("autoy"); 
   }

 
   motor = map(motor, 1047, 1875, 0, 180);
    ESC.write(motor);





Serial.print("REC1: ");
Serial.print(aliron);
Serial.print(" REC2: ");
Serial.println(elevator);
//Serial.print(" REC3: ");
//Serial.println(motor);

  
  Serial.print("angleX : ");
  Serial.print(mpu6050.getAngleX());
  Serial.print("\tangleY : ");
  Serial.print(mpu6050.getAngleY());


delay(20);
}
